Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface EJBContainerMBean

All Known Subinterfaces:
  EJBComponentMBean

public interface EJBContainerMBean
extends ConfigurationMBean

This MBean is used to specify EJB container-wide settings. These can be overridden by a specific EJBComponentMBean.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`java.lang.String` | `getExtraEjbcOptions()` Returns the extra options passed to ejbc during the dynamic ejbc of a jar file.
`java.lang.String` | `getExtraRmicOptions()` Return the extra options passed to rmic during server-side generation.
`boolean` | `getForceGeneration()` Return true if ejbc should force regeneration of wrapper classes, false if it should regenerate the files only if it determines it needs to do so.
`java.lang.String` | `getJavaCompiler()` Return the path to the Java compiler to use to compile EJB's (e.g.
`java.lang.String` | `getJavaCompilerPostClassPath()` Return the options to append to the Java compiler classpath for when we need to compile Java code.
`java.lang.String` | `getJavaCompilerPreClassPath()` Return the options to prepend to the Java compiler classpath for when we need to compile Java code.
`boolean` | `getKeepGenerated()` Return true if ejbc should keep its generated source files, false if it should delete them after compiling them.
`java.lang.String` | `getTmpPath()` Return the temporary directory where generated files are stored by ejbc.
`java.lang.String` | `getVerboseEJBDeploymentEnabled()` Returns true if verbose deployment of EJB's is enabled.
`void` | `setExtraEjbcOptions(java.lang.String options)`
`void` | `setExtraRmicOptions(java.lang.String options)`
`void` | `setForceGeneration(boolean f)`
`void` | `setJavaCompiler(java.lang.String javaCompiler)`
`void` | `setJavaCompilerPostClassPath(java.lang.String postClassPath)`
`void` | `setJavaCompilerPreClassPath(java.lang.String preClassPath)`
`void` | `setKeepGenerated(boolean f)`
`void` | `setTmpPath(java.lang.String path)`
`void` | `setVerboseEJBDeploymentEnabled(java.lang.String verbose)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getJavaCompiler

    public java.lang.String getJavaCompiler()

  Return the path to the Java compiler to use to compile EJB's (e.g. "sj" or "javac"). Note: the default for this attribute must be null. If no JavaCompiler is specified on this specific EJBComponent, the default will be pulled in the following order from - EJBContainerMBean - Server.JavaCompiler.

### setJavaCompiler

    public void setJavaCompiler(java.lang.String javaCompiler)
                         throws javax.management.InvalidAttributeValueException

  Default Value: null
  Secure Value: null

### getJavaCompilerPreClassPath

    public java.lang.String getJavaCompilerPreClassPath()

  Return the options to prepend to the Java compiler classpath for when we need to compile Java code.

### setJavaCompilerPreClassPath

    public void setJavaCompilerPreClassPath(java.lang.String preClassPath)
                                     throws javax.management.InvalidAttributeValueException

  Default Value: null
  Secure Value: null

### getJavaCompilerPostClassPath

    public java.lang.String getJavaCompilerPostClassPath()

  Return the options to append to the Java compiler classpath for when we need to compile Java code.

### setJavaCompilerPostClassPath

    public void setJavaCompilerPostClassPath(java.lang.String postClassPath)

  Default Value: null
  Secure Value: null

### getExtraRmicOptions

    public java.lang.String getExtraRmicOptions()

  Return the extra options passed to rmic during server-side generation. Note: the default for this attribute must be null. If no ExtraRmicOptions are specified on the EJBComponent, the default will be pulled from Server.ExtraRmicOptions..

  Default Value: null

### setExtraRmicOptions

    public void setExtraRmicOptions(java.lang.String options)
                             throws javax.management.InvalidAttributeValueException

### getKeepGenerated

    public boolean getKeepGenerated()

  Return true if ejbc should keep its generated source files, false if it should delete them after compiling them.

### setKeepGenerated

    public void setKeepGenerated(boolean f)

  Default Value: true
  Secure Value: false

### getForceGeneration

    public boolean getForceGeneration()

  Return true if ejbc should force regeneration of wrapper classes, false if it should regenerate the files only if it determines it needs to do so.

  Default Value: false

### setForceGeneration

    public void setForceGeneration(boolean f)

### getTmpPath

    public java.lang.String getTmpPath()

  Return the temporary directory where generated files are stored by ejbc.

  Default Value: "tmp_ejb"

### setTmpPath

    public void setTmpPath(java.lang.String path)

### getVerboseEJBDeploymentEnabled

    public java.lang.String getVerboseEJBDeploymentEnabled()

  Returns true if verbose deployment of EJB's is enabled.

  Default Value: "false"

### setVerboseEJBDeploymentEnabled

    public void setVerboseEJBDeploymentEnabled(java.lang.String verbose)

### getExtraEjbcOptions

    public java.lang.String getExtraEjbcOptions()

  Returns the extra options passed to ejbc during the dynamic ejbc of a jar file. Eg: -J-mx128m Note: the default for this attribute must be null. If no ExtraEJBCOptions are specified on the EJBComponent, the default will be pulled from the Server.ExtraEJBCOptions..

  Default Value: null

### setExtraEjbcOptions

    public void setExtraEjbcOptions(java.lang.String options)
                             throws javax.management.InvalidAttributeValueException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference